public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-im/libcommuni/files/, net-im/libcommuni/
@ 2018-05-09 12:46 Michał Górny
  0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2018-05-09 12:46 UTC (permalink / raw
  To: gentoo-commits

commit:     6455ce2a691b95dc83c015927763e9c9fc771997
Author:     Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Tue May  1 20:19:34 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May  9 12:46:43 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6455ce2a

net-im/libcommuni: New package

Closes: https://bugs.gentoo.org/652462
Closes: https://github.com/gentoo/gentoo/pull/7813
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-im/libcommuni/Manifest                |  1 +
 net-im/libcommuni/files/uchardet.pri      | 17 +++++++
 net-im/libcommuni/libcommuni-3.5.0.ebuild | 74 +++++++++++++++++++++++++++++++
 net-im/libcommuni/metadata.xml            | 21 +++++++++
 4 files changed, 113 insertions(+)

diff --git a/net-im/libcommuni/Manifest b/net-im/libcommuni/Manifest
new file mode 100644
index 00000000000..3adc4146f91
--- /dev/null
+++ b/net-im/libcommuni/Manifest
@@ -0,0 +1 @@
+DIST libcommuni-3.5.0.tar.gz 646734 BLAKE2B 81e2c783625a0befe2d364423e862967bc76e8a66e9b5d7f2f94f46f46530d54b030bfd3a48d7877532092c607295cff5a77ecd8bb669112d53507a1ea18c5b0 SHA512 4d62f7e5edd32b9121f2b69d15a4022ad5d6cf7136dc48d0a1ca4bd413b3334533d7734d6939906fa3426f8db9bc255696107ecada19875c60ce59990b54dee4

diff --git a/net-im/libcommuni/files/uchardet.pri b/net-im/libcommuni/files/uchardet.pri
new file mode 100644
index 00000000000..d22393b76d2
--- /dev/null
+++ b/net-im/libcommuni/files/uchardet.pri
@@ -0,0 +1,17 @@
+######################################################################
+# Communi
+######################################################################
+
+include(../pkg.pri)
+
+pkgExists(uchardet) {
+	CONFIG += link_pkgconfig
+	PKGCONFIG += uchardet
+}
+
+isEmpty(PKGCONFIG) {
+	error("UChardet support has been enabled, but the UChardet installation has not been found. Did you emerged app-i18n/uchardet?")
+} else {
+	LIBS += -luchardet
+	INCPATH += -isystem /usr/include/uchardet
+}

diff --git a/net-im/libcommuni/libcommuni-3.5.0.ebuild b/net-im/libcommuni/libcommuni-3.5.0.ebuild
new file mode 100644
index 00000000000..166369b11ab
--- /dev/null
+++ b/net-im/libcommuni/libcommuni-3.5.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit qmake-utils
+
+DESCRIPTION="A cross-platform IRC framework written with Qt"
+HOMEPAGE="http://communi.github.io/"
+SRC_URI="https://github.com/communi/libcommuni/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="qml test +uchardet"
+
+# Compiling with USE="test" is currently broken with dev-libs/icu
+# See: https://github.com/communi/libcommuni/issues/60
+REQUIRED_USE="test? ( uchardet )"
+
+RDEPEND="dev-qt/qtcore:5
+	dev-qt/qtdeclarative:5
+	uchardet? ( app-i18n/uchardet )
+	!uchardet? ( dev-libs/icu:= )"
+
+DEPEND="test? ( dev-qt/qttest:5 )
+	${RDEPEND}"
+
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+	default
+
+	# Don't use bundled uchardet, use instead app-i18n/uchardet
+	rm -rf src/3rdparty/uchardet-0.0.1/* || die
+	cp "${FILESDIR}"/uchardet.pri src/3rdparty/uchardet-0.0.1/uchardet.pri || die
+}
+
+src_configure() {
+	local myqmakeargs=( libcommuni.pro
+		# Disables compile run-time benchmarks, as they don't make any sense
+		-config no_benchmarks
+		# Disables examples, as no new files are installed
+		-config no_examples
+		# Is needed for fixing the QA Notice: The following files contain insecure RUNPATHs
+		-config no_rpath
+		# Compile libcommuni always in Release mode, as Debug seems to do nothing
+		-config release
+		# Don't silence all compile messages
+		-config verbose
+		-config $(usex qml '' 'no_')install_imports
+		-config $(usex qml '' 'no_')install_qml
+		-config $(usex test '' 'no_')tests
+		-config $(usex uchardet 'no_' '')icu
+		-config $(usex uchardet '' 'no_')uchardet )
+
+	eqmake5 "${myqmakeargs[@]}"
+}
+
+src_test() {
+	# This is a hack to delete the existing LD_LIBRARY_PATH and set a new one,
+	# otherwise a test will fail, because it uses the system installed lib instead of the new compiled lib.
+	# The test will fail, when libcommuni is emerged with USE="uchardet" and
+	# libcommuni is already installed with USE="-uchardat", or the other way around.
+	find "${S}" -type f -name 'target_wrapper.sh' -exec sed -i -e "/.*LD_LIBRARY_PATH.*/d" {} \; || die
+	local -x LD_LIBRARY_PATH="${S}/lib"
+
+	default
+}
+
+src_install() {
+	emake install INSTALL_ROOT="${D}"
+	einstalldocs
+}

diff --git a/net-im/libcommuni/metadata.xml b/net-im/libcommuni/metadata.xml
new file mode 100644
index 00000000000..40dcff97d64
--- /dev/null
+++ b/net-im/libcommuni/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>ck+gentoo@bl4ckb0x.de</email>
+		<name>Conrad Kostecki</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<longdescription>
+		A cross-platform IRC framework written with Qt.
+		Communi provides a set of tools for enabling
+		IRC connectivity in Qt-based C++ and QML applications.
+	</longdescription>
+	<use>
+		<flag name="qml">Install optional qml files.</flag>
+		<flag name="uchardet">Use <pkg>app-i18n/uchardet</pkg>, which is upstreams default, instead of <pkg>dev-libs/icu</pkg>, which makes impossible to run tests.</flag>
+	</use>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/libcommuni/files/, net-im/libcommuni/
@ 2018-11-03 21:58 Michał Górny
  0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2018-11-03 21:58 UTC (permalink / raw
  To: gentoo-commits

commit:     890d21c407d92cfff49db52a782c0ae7e3acb52c
Author:     Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Sat Nov  3 14:37:14 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov  3 21:58:33 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=890d21c4

net-im/libcommuni: drop old version

Bug: https://bugs.gentoo.org/669866
Signed-off-by: Conrad Kostecki <conrad <AT> kostecki.com>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Closes: https://github.com/gentoo/gentoo/pull/10266
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-im/libcommuni/Manifest                |  1 -
 net-im/libcommuni/files/uchardet.pri      | 17 -------
 net-im/libcommuni/libcommuni-3.5.0.ebuild | 74 -------------------------------
 3 files changed, 92 deletions(-)

diff --git a/net-im/libcommuni/Manifest b/net-im/libcommuni/Manifest
index 8f4a37519e0..7670d11af66 100644
--- a/net-im/libcommuni/Manifest
+++ b/net-im/libcommuni/Manifest
@@ -1,2 +1 @@
-DIST libcommuni-3.5.0.tar.gz 646734 BLAKE2B 81e2c783625a0befe2d364423e862967bc76e8a66e9b5d7f2f94f46f46530d54b030bfd3a48d7877532092c607295cff5a77ecd8bb669112d53507a1ea18c5b0 SHA512 4d62f7e5edd32b9121f2b69d15a4022ad5d6cf7136dc48d0a1ca4bd413b3334533d7734d6939906fa3426f8db9bc255696107ecada19875c60ce59990b54dee4
 DIST libcommuni-3.5.0_p20180116.tar.gz 471286 BLAKE2B 9f89a5eea2444c207b54f6b820c7cef89ff2e578d34ad751fdbfe558af2bcf0e52238ef63b244fb321baa7716c0119ca084c547cc0161a08b46af4c9d604dd0e SHA512 f7ce9c92acbd67b3d75b9b7fc1cef55796a3d44294024da591c7b0c21fc065ec484dbc6a4c83af96fcb6fd6e725a7b6ed4219bd09e2aa0de303b82d64741efba

diff --git a/net-im/libcommuni/files/uchardet.pri b/net-im/libcommuni/files/uchardet.pri
deleted file mode 100644
index d22393b76d2..00000000000
--- a/net-im/libcommuni/files/uchardet.pri
+++ /dev/null
@@ -1,17 +0,0 @@
-######################################################################
-# Communi
-######################################################################
-
-include(../pkg.pri)
-
-pkgExists(uchardet) {
-	CONFIG += link_pkgconfig
-	PKGCONFIG += uchardet
-}
-
-isEmpty(PKGCONFIG) {
-	error("UChardet support has been enabled, but the UChardet installation has not been found. Did you emerged app-i18n/uchardet?")
-} else {
-	LIBS += -luchardet
-	INCPATH += -isystem /usr/include/uchardet
-}

diff --git a/net-im/libcommuni/libcommuni-3.5.0.ebuild b/net-im/libcommuni/libcommuni-3.5.0.ebuild
deleted file mode 100644
index 166369b11ab..00000000000
--- a/net-im/libcommuni/libcommuni-3.5.0.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit qmake-utils
-
-DESCRIPTION="A cross-platform IRC framework written with Qt"
-HOMEPAGE="http://communi.github.io/"
-SRC_URI="https://github.com/communi/libcommuni/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="qml test +uchardet"
-
-# Compiling with USE="test" is currently broken with dev-libs/icu
-# See: https://github.com/communi/libcommuni/issues/60
-REQUIRED_USE="test? ( uchardet )"
-
-RDEPEND="dev-qt/qtcore:5
-	dev-qt/qtdeclarative:5
-	uchardet? ( app-i18n/uchardet )
-	!uchardet? ( dev-libs/icu:= )"
-
-DEPEND="test? ( dev-qt/qttest:5 )
-	${RDEPEND}"
-
-RESTRICT="!test? ( test )"
-
-src_prepare() {
-	default
-
-	# Don't use bundled uchardet, use instead app-i18n/uchardet
-	rm -rf src/3rdparty/uchardet-0.0.1/* || die
-	cp "${FILESDIR}"/uchardet.pri src/3rdparty/uchardet-0.0.1/uchardet.pri || die
-}
-
-src_configure() {
-	local myqmakeargs=( libcommuni.pro
-		# Disables compile run-time benchmarks, as they don't make any sense
-		-config no_benchmarks
-		# Disables examples, as no new files are installed
-		-config no_examples
-		# Is needed for fixing the QA Notice: The following files contain insecure RUNPATHs
-		-config no_rpath
-		# Compile libcommuni always in Release mode, as Debug seems to do nothing
-		-config release
-		# Don't silence all compile messages
-		-config verbose
-		-config $(usex qml '' 'no_')install_imports
-		-config $(usex qml '' 'no_')install_qml
-		-config $(usex test '' 'no_')tests
-		-config $(usex uchardet 'no_' '')icu
-		-config $(usex uchardet '' 'no_')uchardet )
-
-	eqmake5 "${myqmakeargs[@]}"
-}
-
-src_test() {
-	# This is a hack to delete the existing LD_LIBRARY_PATH and set a new one,
-	# otherwise a test will fail, because it uses the system installed lib instead of the new compiled lib.
-	# The test will fail, when libcommuni is emerged with USE="uchardet" and
-	# libcommuni is already installed with USE="-uchardat", or the other way around.
-	find "${S}" -type f -name 'target_wrapper.sh' -exec sed -i -e "/.*LD_LIBRARY_PATH.*/d" {} \; || die
-	local -x LD_LIBRARY_PATH="${S}/lib"
-
-	default
-}
-
-src_install() {
-	emake install INSTALL_ROOT="${D}"
-	einstalldocs
-}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/libcommuni/files/, net-im/libcommuni/
@ 2025-01-28 22:23 Conrad Kostecki
  0 siblings, 0 replies; 3+ messages in thread
From: Conrad Kostecki @ 2025-01-28 22:23 UTC (permalink / raw
  To: gentoo-commits

commit:     7880b6eec5c547dd8f772726c5b37b8ac5e9bfeb
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 28 22:07:57 2025 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Tue Jan 28 22:23:31 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7880b6ee

net-im/libcommuni: add support for qt6

Bug: https://bugs.gentoo.org/948977
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-im/libcommuni/files/libcommuni-3.7.0-qt6.patch | 116 +++++++++++++++++++++
 net-im/libcommuni/libcommuni-3.7.0-r2.ebuild       |  79 ++++++++++++++
 2 files changed, 195 insertions(+)

diff --git a/net-im/libcommuni/files/libcommuni-3.7.0-qt6.patch b/net-im/libcommuni/files/libcommuni-3.7.0-qt6.patch
new file mode 100644
index 000000000000..e0964a652522
--- /dev/null
+++ b/net-im/libcommuni/files/libcommuni-3.7.0-qt6.patch
@@ -0,0 +1,116 @@
+From 8f5e706960648ed9c87968bb1526905d39cb9c52 Mon Sep 17 00:00:00 2001
+From: Kaj-Michael Lang <milang@tal.org>
+Date: Fri, 28 Apr 2023 20:11:52 +0300
+Subject: [PATCH 1/5] src: Use core5compat if building on Qt 6
+
+---
+ src/module_build.pri | 3 +++
+ 1 file changed, 3 insertions(+)
+
+diff --git a/src/module_build.pri b/src/module_build.pri
+index 75205a24..6772d725 100644
+--- a/src/module_build.pri
++++ b/src/module_build.pri
+@@ -7,6 +7,9 @@ isEmpty(IRC_MODULE):error(IRC_MODULE must be set)
+ TEMPLATE = lib
+ TARGET = $$qtLibraryTarget($$IRC_MODULE)
+ QT = core network
++
++greaterThan(QT_MAJOR_VERSION,5): QT += core5compat
++
+ !verbose:CONFIG += silent
+ contains(QT_CONFIG, debug_and_release) {
+     win32|mac:!wince*:!win32-msvc:!macx-xcode:CONFIG += debug_and_release build_all
+
+From c57dc67df4fef310f55ecfa55d3e6c5d8eb34826 Mon Sep 17 00:00:00 2001
+From: Kaj-Michael Lang <milang@tal.org>
+Date: Fri, 28 Apr 2023 20:12:32 +0300
+Subject: [PATCH 2/5] tests: Use core5compat if building on Qt 6
+
+---
+ tests/tests.pri | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/tests/tests.pri b/tests/tests.pri
+index 04588b05..c3f74ad9 100644
+--- a/tests/tests.pri
++++ b/tests/tests.pri
+@@ -19,6 +19,8 @@ CONFIG(debug, debug|release) {
+     MOC_DIR = release
+ }
+ 
++greaterThan(QT_MAJOR_VERSION,5): QT += core5compat
++
+ IRC_BUILDDIR = $$OUT_PWD/../../..
+ 
+ IRC_MODULES = IrcCore IrcModel IrcUtil
+
+From b13cbca833e91a346e5e630a3a2995a49663c142 Mon Sep 17 00:00:00 2001
+From: Kaj-Michael Lang <milang@tal.org>
+Date: Fri, 28 Apr 2023 20:13:12 +0300
+Subject: [PATCH 3/5] tests: Use fromSecsSinceEpoch instead of fromTime_t that
+ has been deprecated in Qt 5, and removed in Qt 6.
+
+---
+ tests/auto/ircconnection/tst_ircconnection.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/tests/auto/ircconnection/tst_ircconnection.cpp b/tests/auto/ircconnection/tst_ircconnection.cpp
+index 76e36a3d..7b7b78f5 100644
+--- a/tests/auto/ircconnection/tst_ircconnection.cpp
++++ b/tests/auto/ircconnection/tst_ircconnection.cpp
+@@ -1334,7 +1334,7 @@ void tst_IrcConnection::testMessageComposer()
+     QCOMPARE(filter.values.value("account").toString(), QString("qtaccountant"));
+     QEXPECT_FAIL("", "RPL_WHOISHOST :is connecting from *@88.95.51.136 88.95.51.136", Continue);
+     QCOMPARE(filter.values.value("address").toString(), QString("88.95.51.136"));
+-    QCOMPARE(filter.values.value("since").toDateTime(), QDateTime::fromTime_t(1440706032));
++    QCOMPARE(filter.values.value("since").toDateTime(), QDateTime::fromSecsSinceEpoch(1440706032));
+     QCOMPARE(filter.values.value("idle").toInt(), 15);
+     QCOMPARE(filter.values.value("secure").toBool(), true);
+     QCOMPARE(filter.values.value("channels").toStringList(), QStringList() << "+#jpnurmi");
+
+From aab157c89bdbf41e85f33823200c472c2b055a9f Mon Sep 17 00:00:00 2001
+From: Kaj-Michael Lang <milang@tal.org>
+Date: Fri, 28 Apr 2023 20:14:23 +0300
+Subject: [PATCH 4/5] examples: Use core5compat if building on Qt 6
+
+---
+ examples/bot/bot.pro | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/examples/bot/bot.pro b/examples/bot/bot.pro
+index 1f4f4346..f73c7c77 100644
+--- a/examples/bot/bot.pro
++++ b/examples/bot/bot.pro
+@@ -10,6 +10,8 @@ CONFIG += console
+ CONFIG -= app_bundle
+ QT = core network
+ 
++greaterThan(QT_MAJOR_VERSION,5): QT += core5compat
++
+ # Input
+ HEADERS += ircbot.h
+ SOURCES += ircbot.cpp main.cpp
+
+From 76fed16afa7c2e028b11820a857d6d9e8868208f Mon Sep 17 00:00:00 2001
+From: Kaj-Michael Lang <milang@tal.org>
+Date: Fri, 28 Apr 2023 20:14:47 +0300
+Subject: [PATCH 5/5] examples: setMargin() is deprected in Qt 5 and removed in
+ Qt 6, just remove it
+
+---
+ examples/client/ircclient.cpp | 1 -
+ 1 file changed, 1 deletion(-)
+
+diff --git a/examples/client/ircclient.cpp b/examples/client/ircclient.cpp
+index 38c21a65..69e7600d 100644
+--- a/examples/client/ircclient.cpp
++++ b/examples/client/ircclient.cpp
+@@ -238,7 +238,6 @@ void IrcClient::createLayout()
+     QWidget* container = new QWidget(this);
+     QVBoxLayout* layout = new QVBoxLayout(container);
+     layout->setSpacing(0);
+-    layout->setMargin(0);
+     layout->addWidget(splitter);
+     layout->addWidget(lineEdit);
+ 

diff --git a/net-im/libcommuni/libcommuni-3.7.0-r2.ebuild b/net-im/libcommuni/libcommuni-3.7.0-r2.ebuild
new file mode 100644
index 000000000000..184cc23c3e79
--- /dev/null
+++ b/net-im/libcommuni/libcommuni-3.7.0-r2.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qmake-utils
+
+DESCRIPTION="A cross-platform IRC framework written with Qt"
+HOMEPAGE="https://communi.github.io/"
+SRC_URI="https://github.com/communi/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples qml test +uchardet"
+REQUIRED_USE="examples? ( qml )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-qt/qt5compat:6
+	dev-qt/qtbase:6[network]
+	examples? ( dev-qt/qtbase:6[gui,X] )
+	qml? (
+		dev-qt/qt5compat:6[qml]
+		dev-qt/qtdeclarative:6
+	)
+	uchardet? ( app-i18n/uchardet )
+	!uchardet? ( dev-libs/icu:= )
+"
+
+DEPEND="
+	${RDEPEND}
+	test? ( dev-qt/qttest:5 )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-3.7.0-qt6.patch" )
+
+src_configure() {
+	local myqmakeargs=( libcommuni.pro
+		# Disables compile run-time benchmarks, as they don't make any sense
+		-config no_benchmarks
+		# Is needed for fixing the QA Notice: The following files contain insecure RUNPATHs
+		-config no_rpath
+		# Compile libcommuni always in Release mode, as Debug seems to do nothing
+		-config release
+		# Don't silence all compile messages
+		-config verbose
+		-config $(usex examples '' 'no_')examples
+		-config $(usex qml '' 'no_')qml
+		-config $(usex test '' 'no_')tests
+		-config $(usex uchardet 'no_' '')icu
+		-config $(usex uchardet '' 'no_')uchardet )
+
+	eqmake6 "${myqmakeargs[@]}"
+}
+
+src_test() {
+	# This is a hack to delete the existing LD_LIBRARY_PATH and set a new one,
+	# otherwise a test will fail, because it uses the system installed lib instead of the new compiled lib.
+	# The test will fail, when libcommuni is emerged with USE="uchardet" and
+	# libcommuni is already installed with USE="-uchardat", or the other way around.
+	find "${S}" -type f -name 'target_wrapper.sh' -exec sed -i -e "/.*LD_LIBRARY_PATH.*/d" {} \; || die
+	local -x LD_LIBRARY_PATH="${S}/lib"
+
+	default
+}
+
+src_install() {
+	emake install INSTALL_ROOT="${D}"
+
+	if use examples; then
+		local examples=( "bot" "client" "minimal" "qmlbot" "quick" )
+		for example in ${examples[@]}; do
+			newbin examples/"${example}"/"${example}" libcommuni."${example}"
+		done
+	fi
+
+	einstalldocs
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2025-01-28 22:23 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-01-28 22:23 [gentoo-commits] repo/gentoo:master commit in: net-im/libcommuni/files/, net-im/libcommuni/ Conrad Kostecki
  -- strict thread matches above, loose matches on Subject: below --
2018-11-03 21:58 Michał Górny
2018-05-09 12:46 Michał Górny

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox